Fehlermeldung

  • User warning: The following module has moved within the file system: comment_notify. In order to fix this, clear caches or put the module back in its original location. For more information, see the documentation page. in _drupal_trigger_error_with_delayed_logging() (line 1156 of /local/www/drupal/core/7.79/includes/bootstrap.inc).
  • User warning: The following module has moved within the file system: piwik. In order to fix this, clear caches or put the module back in its original location. For more information, see the documentation page. in _drupal_trigger_error_with_delayed_logging() (line 1156 of /local/www/drupal/core/7.79/includes/bootstrap.inc).

[Gelöst] FreeBSD: XML::Parser... configure: error: XML::Parser perl module is required for intltool

Bei einem Portupdate kam die Fehlermeldung

  1. checking for perl >= 5.8.1... 5.12.4
  2. checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool
  3. ===> Script "configure" failed unexpectedly.
  4. Please run the gnomelogalyzer, available from
  5. "http://www.freebsd.org/gnome/gnomelogalyzer.sh", which will diagnose the
  6. problem and suggest a solution. If - and only if - the gnomelogalyzer cannot
  7. solve the problem, report the build failure to the FreeBSD GNOME team at
  8. gnome@FreeBSD.org, and attach (a)
  9. "/usr/ports/graphics/gimp-app/work/gimp-2.6.12/config.log", (b) the output
  10. of the failed make command, and (c) the gnomelogalyzer output. Also, it might
  11. be a good idea to provide an overview of all packages installed on your system
  12. (i.e. an `ls /var/db/pkg`). Put your attachment up on any website,
  13. copy-and-paste into http://freebsd-gnome.pastebin.com, or use send-pr(1) with
  14. the attachment. Try to avoid sending any attachments to the mailing list
  15. (gnome@FreeBSD.org), because attachments sent to FreeBSD mailing lists are
  16. usually discarded by the mailing list software.
  17. *** Error code 1
  18.  
  19. Stop in /usr/ports/graphics/gimp-app.
  20. *** Error code 1
  21.  
  22. Stop in /usr/ports/graphics/gimp-app.
  23. ** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20120301-8511-cbz928-0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=gimp-app-2.6.11_5,1 UPGRADE_PORT_VER=2.6.11_5,1 make
  24. ** Fix the problem and try again.

Das Problem konnte mit einem erneuten Kompilieren des Ports textproc/p5-XML-Parser gelöst werden:

  1. portupgrade -f textproc/p5-XML-Parser

Kommentare

Hey! :-)

Ich bedanke mich vielmals für die Information, die konnte mir weiterhelfen. In meinem Fall betraf es das Programm xkeyboard-config aus dem Port X11. :-)